# this file contains all non local parameters required by the PIM to work
# if you need to override one of these parameter, you can do it directly in your own parameters.yml file
parameters:
    database_unix_socket: ~

    mailer_transport:     smtp
    mailer_host:          localhost
    mailer_port:          25
    mailer_encryption:    ~
    mailer_user:          ~
    mailer_password:      ~
    mailer_from_address:  no-reply@example.com
    mailer_from_name:     Akeneo Admin

    # WebSocket server config
    websocket_host:       "127.0.0.1"
    websocket_port:       8080

    max_products_category_removal: 100

    pim_catalog_image_allowed_extensions: [gif, jfif, jif, jpeg, jpg, pdf, png, psd, tif, tiff]
    pim_catalog_file_allowed_extensions: [csv, doc, docx, mp3, pdf, ppt, pptx, rtf, svg, txt, wav]

    doctrine_migrations_dir: '%kernel.root_dir%/../upgrades/schema'

    pim_analytics_update_server_url: https://updates.akeneo.com

    # Maximum number of items returned in the paginated responses of the API
    api_pagination_limit_max: 100

    # Number of items returned by default if limit is not filled in request
    api_pagination_limit_by_default: 10

    # Maximum length in bytes of the resource's json representation when updating a list of resources
    api_input_buffer_size: 1000000

    # Maximum number of resources when updating a list of resources
    api_input_max_resources_number: 100

    # env var default value if not present on server
    env(APP_ELASTICSEARCH_TOTAL_FIELDS_LIMIT): 10000
    # Total fields limit of elasticsearch
    elasticsearch_total_fields_limit: '%env(APP_ELASTICSEARCH_TOTAL_FIELDS_LIMIT)%'

    # Files used as configuration for the Elasticsearch index
    elasticsearch_index_configuration_files:
        - '%pim_ce_dev_src_folder_location%/src/Akeneo/Pim/Enrichment/Bundle/Resources/elasticsearch/settings.yml'
        - '%pim_ce_dev_src_folder_location%/src/Akeneo/Pim/Enrichment/Bundle/Resources/elasticsearch/product_mapping.yml'

    # these parameters indicate the advisable limitations of the PIM in term of volume
    # if your volume of data exceeds these limits, it can impact the performance
    average_max_attributes_per_family_limit: 125
    average_max_localizable_attributes_per_family_limit: -1
    average_max_scopable_attributes_per_family_limit: -1
    average_max_localizable_and_scopable_attributes_per_family_limit: -1
    average_max_product_values_per_family_limit: -1
    average_max_options_per_attribute_limit: 145
    average_max_product_values_limit: -1
    average_max_product_model_values_limit: -1
    average_max_categories_in_one_category_limit: 120
    average_max_category_levels_limit: 5
    count_attributes_limit: 600
    count_useable_as_grid_filter_attributes_limit: -1
    count_categories_limit: 5000
    count_category_trees_limit: 4
    count_channels_limit: 3
    count_families_limit: 120
    count_locales_limit: 9
    count_localizable_and_scopable_attributes_limit: 65
    count_localizable_attributes_limit: 125
    count_scopable_attributes_limit: 65
    count_products_limit: 180000
    count_product_models_limit: -1
    count_variant_products_limit: -1
    count_product_values_limit: -1
    count_product_model_values_limit: -1
    count_product_and_product_model_values_limit: -1
    count_users_limit: -1
